package com.yunfeiyun.agmp.pts.mapper;

import java.util.List;

import com.yunfeiyun.agmp.pts.domain.PtsLink;

/**
 * 链接Mapper接口
 * 
 * @author 杨晓辉
 * @date 2023-05-23
 */
public interface PtsLinkMapper 
{
    /**
     * 查询链接
     * 
     * @param linkId 链接主键
     * @return 链接
     */
    public PtsLink selectPtsLinkByLinkId(String linkId);

    /**
     * 查询链接列表
     * 
     * @param ptsLink 链接
     * @return 链接集合
     */
    public List<PtsLink> selectPtsLinkList(PtsLink ptsLink);

    /**
     * 新增链接
     * 
     * @param ptsLink 链接
     * @return 结果
     */
    public int insertPtsLink(PtsLink ptsLink);

    /**
     * 修改链接
     * 
     * @param ptsLink 链接
     * @return 结果
     */
    public int updatePtsLink(PtsLink ptsLink);

    /**
     * 删除链接
     * 
     * @param linkId 链接主键
     * @return 结果
     */
    public int deletePtsLinkByLinkId(String linkId);

    /**
     * 批量删除链接
     * 
     * @param linkIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePtsLinkByLinkIds(String[] linkIds);
}
